Bug 843839 - [abrt] liveusb-creator-3.11.7-1.fc17: locale.py:521:getlocale:TypeError: category LC_ALL is not supported
[abrt] liveusb-creator-3.11.7-1.fc17: locale.py:521:getlocale:TypeError: cate...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
abrt_hash:79bdaddab11ec551aaa5062c297...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 10:20 EDT by ishan
Modified: 2016-09-19 22:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:03:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ishan 2012-07-27 10:20:15 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python -tt /usr/sbin/liveusb-creator
executable:     /usr/sbin/liveusb-creator
kernel:         3.4.6-2.fc17.x86_64
time:           Fri 27 Jul 2012 07:49:40 PM IST
uid:            1000
username:       joshua

backtrace:
:locale.py:521:getlocale:TypeError: category LC_ALL is not supported
:
:Traceback (most recent call last):
:  File "/usr/sbin/liveusb-creator", line 89, in <module>
:    main()
:  File "/usr/sbin/liveusb-creator", line 82, in main
:    from liveusb.gui import LiveUSBApp
:  File "/usr/lib/python2.7/site-packages/liveusb/__init__.py", line 28, in <module>
:    lang=locale.getlocale(locale.LC_ALL)[0]
:  File "/usr/lib64/python2.7/locale.py", line 521, in getlocale
:    raise TypeError, 'category LC_ALL is not supported'
:TypeError: category LC_ALL is not supported
:
:Local variables in innermost frame:
:category: 6
:localename: 'LC_CTYPE=en_US.UTF-8;LC_NUMERIC=en_US.utf8;LC_TIME=en_US.utf8;LC_COLLATE=en_US.UTF-8;LC_MONETARY=en_US.utf8;LC_MESSAGES=en_US.UTF-8;LC_PAPER=en_US.UTF-8;LC_NAME=en_US.UTF-8;LC_ADDRESS=en_US.UTF-8;LC_TELEPHONE=en_US.UTF-8;LC_MEASUREMENT=en_US.utf8;LC_IDENTIFICATION=en_US.UTF-8'

smolt_data:
:
:
:General
:=================================
:UUID: dab62737-7e9f-41e2-85ef-5abd02b5598c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6034.98
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) D CPU 3.00GHz
:CPU Stepping: 5
:CPU Family: 15
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 3003
:System Memory: 986
:System Swap: 1529
:Vendor: BIOSTAR Group
:System: G31M+ 
:Form factor: Desktop
:Kernel: 3.4.6-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10168:5477:12547) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4332:33078:5477:8971) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10690:5477:12547) pci, i915, VIDEO, 82G33/G31 Express Integrated Graphics Controller
:(32902:10176:5477:20994) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:5477:12547) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:5477:12547) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:5477:33310) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:5477:12547) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10202:5477:12547) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:5477:12547) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10185:5477:12547) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:5477:12547) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10688:32902:10688) pci, agpgart-intel, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10186:5477:12547) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:5477:12547) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:5477:12547) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 13218495 9191364 9059062 3309568 2995041 2995041
:/dev/sdb6 WITHHELD ext3 4096 4096 33366480 7440814 5745054 8495280 8486505 8486505
:/dev/sdb9 WITHHELD ext3 4096 4096 33366480 5132875 3437115 8495280 8494799 8494799
:/dev/sdb7 WITHHELD ext3 4096 4096 33366480 2378150 682390 8495280 8494835 8494835
:/dev/sdb5 WITHHELD ext3 4096 4096 33366480 5505051 3809290 8495280 8484067 8484067
:/dev/sdb11 WITHHELD ext3 4096 4096 33366480 7783942 6088182 8495280 8481409 8481409
:/dev/sdb10 WITHHELD ext3 4096 4096 40044368 28598898 26563966 10182656 10068560 10068560
:/dev/sdb8 WITHHELD ext3 4096 4096 33366480 13628601 11932841 8495280 8490072 8490072
:
Comment 1 Jake Jackson 2012-09-12 12:57:17 EDT
tried to run "sudo liveusb-creator" with following result:
Traceback (most recent call last):
  File "/sbin/liveusb-creator", line 89, in <module>
    main()
  File "/sbin/liveusb-creator", line 82, in main
    from liveusb.gui import LiveUSBApp
  File "/usr/lib/python2.7/site-packages/liveusb/__init__.py", line 28, in <module>
    lang=locale.getlocale(locale.LC_ALL)[0]
  File "/usr/lib64/python2.7/locale.py", line 521, in getlocale
    raise TypeError, 'category LC_ALL is not supported'
TypeError: category LC_ALL is not supported


Package: liveusb-creator-3.11.7-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 Fedora End Of Life 2013-07-03 19:55:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 23:03:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.